"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Parallelepiped = void 0;
const Range3d_1 = require("./Range3d");
class Parallelepiped extends Range3d_1.Range3d {
    constructor(x, y, z, width, height, depth) {
        super(x, y, z);
        this.size = {
            height: height,
            width: width,
            depth: depth,
        };
    }
    contains(point) {
        const w = this.size.width;
        const h = this.size.height;
        const pos = this.position;
        return point.x >= pos.x && point.x <= pos.x + w && point.y >= pos.y && point.y <= pos.y + h;
    }
    intersects(range) {
        const parallelepiped = range;
        const sphere = range;
        const w = this.size.width;
        const h = this.size.height;
        const d = this.size.depth;
        const pos1 = this.position;
        const pos2 = range.position;
        if (sphere.radius !== undefined) {
            return sphere.intersects(this);
        }
        else if (parallelepiped.size !== undefined) {
            const size2 = parallelepiped.size;
            const w2 = size2.width;
            const h2 = size2.height;
            const d2 = size2.depth;
            return (pos2.x < pos1.x + w &&
                pos2.x + w2 > pos1.x &&
                pos2.y < pos1.y + h &&
                pos2.y + h2 > pos1.y &&
                pos2.z < pos1.z + d &&
                pos2.z + d2 > pos1.z);
        }
        return false;
    }
}
exports.Parallelepiped = Parallelepiped;
