import type { IInteractivity } from "./Interactivity/IInteractivity";
import type { IParticles } from "./Particles/IParticles";
import type { IBackgroundMask } from "./BackgroundMask/IBackgroundMask";
import type { IBackground } from "./Background/IBackground";
import type { SingleOrMultiple } from "../../Types";
import type { ITheme } from "./Theme/ITheme";
import type { IFullScreen } from "./FullScreen/IFullScreen";
import type { IMotion } from "./Motion/IMotion";
import type { IManualParticle } from "./IManualParticle";
import { IResponsive } from "./IResponsive";
export interface IOptions {
    backgroundMode: IFullScreen;
    fps_limit: number;
    retina_detect: boolean;
    autoPlay: boolean;
    background: IBackground;
    backgroundMask: IBackgroundMask;
    fullScreen: IFullScreen;
    detectRetina: boolean;
    fpsLimit: number;
    interactivity: IInteractivity;
    manualParticles: IManualParticle[];
    motion: IMotion;
    particles: IParticles;
    pauseOnBlur: boolean;
    pauseOnOutsideViewport: boolean;
    preset?: SingleOrMultiple<string>;
    responsive: IResponsive[];
    themes: ITheme[];
    [name: string]: unknown;
}
