import { RotateDirection } from "../../../../Enums";
import { ValueWithRandom } from "../../ValueWithRandom";
import { AnimationOptions } from "../../AnimationOptions";
export class Rotate extends ValueWithRandom {
    constructor() {
        super();
        this.animation = new AnimationOptions();
        this.animation.speed = 0;
        this.direction = RotateDirection.clockwise;
        this.path = false;
    }
    load(data) {
        if (!data) {
            return;
        }
        super.load(data);
        if (data.direction !== undefined) {
            this.direction = data.direction;
        }
        this.animation.load(data.animation);
        if (data.path !== undefined) {
            this.path = data.path;
        }
    }
}
