import { IAttract } from "./IAttract";
import { MoveDirection, MoveDirectionAlt, OutMode, OutModeAlt } from "../../../../Enums";
import { ITrail } from "./ITrail";
import { IMovePath } from "./IMovePath";
import { IMoveAngle } from "./IMoveAngle";
import { IMoveGravity } from "./IMoveGravity";
import { IOutModes } from "./IOutModes";
import { ISpin } from "../ISpin";
import { IDistance } from "../../../../Core/Interfaces";
import { RangeValue } from "../../../../Types";
export interface IMove {
    bounce: boolean;
    collisions: boolean;
    out_mode: OutMode | keyof typeof OutMode | OutModeAlt;
    outMode: OutMode | keyof typeof OutMode | OutModeAlt;
    noise: IMovePath;
    angle: number | IMoveAngle;
    attract: IAttract;
    direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt;
    distance: number | Partial<IDistance>;
    enable: boolean;
    gravity: IMoveGravity;
    outModes: IOutModes | OutMode | keyof typeof OutMode | OutModeAlt;
    path: IMovePath;
    random: boolean;
    size: boolean;
    speed: RangeValue;
    spin: ISpin;
    straight: boolean;
    trail: ITrail;
    vibrate: boolean;
    warp: boolean;
}
