import { IMove } from "../../../Interfaces/Particles/Move/IMove";
import { Attract } from "./Attract";
import { MoveDirection, MoveDirectionAlt, OutMode, OutModeAlt } from "../../../../Enums";
import { Trail } from "./Trail";
import { RangeValue, RecursivePartial } from "../../../../Types";
import { MovePath } from "./Path/MovePath";
import { IOptionLoader } from "../../../Interfaces/IOptionLoader";
import { MoveAngle } from "./MoveAngle";
import { MoveGravity } from "./MoveGravity";
import { OutModes } from "./OutModes";
import { Spin } from "./Spin";
import { IDistance } from "../../../../Core/Interfaces";
import { IMovePath } from "../../../Interfaces/Particles/Move/IMovePath";
export declare class Move implements IMove, IOptionLoader<IMove> {
    noise: IMovePath;
    collisions: boolean;
    bounce: boolean;
    out_mode: OutMode | keyof typeof OutMode | OutModeAlt;
    outMode: OutMode | keyof typeof OutMode | OutModeAlt;
    angle: MoveAngle;
    attract: Attract;
    direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt;
    distance: Partial<IDistance>;
    enable: boolean;
    gravity: MoveGravity;
    outModes: OutModes;
    path: MovePath;
    random: boolean;
    size: boolean;
    speed: RangeValue;
    spin: Spin;
    straight: boolean;
    trail: Trail;
    vibrate: boolean;
    warp: boolean;
    constructor();
    load(data?: RecursivePartial<IMove>): void;
}
