import { IStroke } from "../../Options/Interfaces/Particles/IStroke";
import { ICoordinates } from "./ICoordinates";
import { MoveDirection, MoveDirectionAlt } from "../../Enums";
import { IParticleValueAnimation } from "./IParticleValueAnimation";
import { IShapeValues } from "../../Options/Interfaces/Particles/Shape/IShapeValues";
import { IBubbleParticleData } from "./IBubbleParticleData";
import { IParticles } from "../../Options/Interfaces/Particles/IParticles";
import { IHsl, IRgb } from "./Colors";
import { IParticleLoops } from "./IParticleLoops";
import { IParticleHslAnimation } from "./IParticleHslAnimation";
import { Vector } from "../Particle/Vector";
import { Vector3d } from "../Particle/Vector3d";
export interface IParticle {
    misplaced: boolean;
    randomIndexData?: number;
    readonly bubble: IBubbleParticleData;
    readonly close: boolean;
    readonly destroyed: boolean;
    readonly direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt;
    readonly fill: boolean;
    readonly id: number;
    readonly initialVelocity: Vector;
    readonly loops: IParticleLoops;
    readonly offset: Vector;
    readonly color?: IParticleHslAnimation;
    readonly opacity: IParticleValueAnimation<number>;
    readonly rotate: IParticleValueAnimation<number>;
    readonly size: IParticleValueAnimation<number>;
    readonly strokeColor?: IParticleHslAnimation;
    readonly options: IParticles;
    readonly position: Vector3d;
    readonly shadowColor: IRgb | undefined;
    readonly shape?: string;
    readonly shapeData?: IShapeValues;
    readonly sides: number;
    readonly stroke: IStroke;
    readonly strokeWidth: number;
    readonly velocity: Vector;
    readonly attractDistance?: number;
    readonly linksDistance?: number;
    readonly linksWidth?: number;
    readonly moveSpeed?: number;
    readonly sizeAnimationSpeed?: number;
    readonly orbitRadius?: number;
    readonly orbitRotation?: number;
    readonly orbitColor?: IHsl;
    getPosition(): ICoordinates;
    getRadius(): number;
    getFillColor(): IHsl | undefined;
    getStrokeColor(): IHsl | undefined;
}
