import { Container } from "./Container";
import { IContainerPlugin, ICoordinates, IDelta, IDimension, IParticle, IRgb } from "./Interfaces";
import { Particle } from "./Particle";
export declare class Canvas {
    private readonly container;
    element?: HTMLCanvasElement;
    readonly size: IDimension;
    resizeFactor?: IDimension;
    private context;
    private generatedCanvas;
    private coverColor?;
    private trailFillColor?;
    private originalStyle?;
    constructor(container: Container);
    init(): void;
    loadCanvas(canvas: HTMLCanvasElement, generatedCanvas?: boolean): void;
    destroy(): void;
    paint(): void;
    clear(): void;
    windowResize(): void;
    resize(): void;
    drawConnectLine(p1: IParticle, p2: IParticle): void;
    drawGrabLine(particle: IParticle, lineColor: IRgb, opacity: number, mousePos: ICoordinates): void;
    drawParticle(particle: Particle, delta: IDelta): void;
    drawOrbit(particle: IParticle, type: string): void;
    draw(fn: (context: CanvasRenderingContext2D) => void): void;
    drawPlugin(plugin: IContainerPlugin, delta: IDelta): void;
    drawParticlePlugin(plugin: IContainerPlugin, particle: Particle, delta: IDelta): void;
    private paintBase;
    private lineStyle;
    private initBackground;
    private initCover;
    private initTrail;
    private getPluginParticleColors;
    private initStyle;
}
