import { IShape } from "./Shape/IShape";
import { ILinks } from "./Links/ILinks";
import { IMove } from "./Move/IMove";
import { IParticlesNumber } from "./Number/IParticlesNumber";
import { IOpacity } from "./Opacity/IOpacity";
import { ISize } from "./Size/ISize";
import { IRotate } from "./Rotate/IRotate";
import { IShadow } from "./IShadow";
import { ParticlesGroups, SingleOrMultiple } from "../../../Types";
import { IStroke } from "./IStroke";
import { ICollisions } from "./Collisions/ICollisions";
import { ITwinkle } from "./Twinkle/ITwinkle";
import { IAnimatableColor } from "../IAnimatableColor";
import { ILife } from "./Life/ILife";
import { IBounce } from "./Bounce/IBounce";
import { IOrbit } from "./Orbit/IOrbit";
import { IZIndex } from "./ZIndex/IZIndex";
import { IRepulse } from "./Repulse/IRepulse";
import { IDestroy } from "./Destroy/IDestroy";
export interface IParticles {
    line_linked: ILinks;
    lineLinked: ILinks;
    bounce: IBounce;
    collisions: ICollisions;
    color: IAnimatableColor;
    destroy: IDestroy;
    groups: ParticlesGroups;
    life: ILife;
    links: ILinks;
    move: IMove;
    number: IParticlesNumber;
    opacity: IOpacity;
    orbit: IOrbit;
    reduceDuplicates: boolean;
    repulse: IRepulse;
    rotate: IRotate;
    shadow: IShadow;
    shape: IShape;
    size: ISize;
    stroke: SingleOrMultiple<IStroke>;
    twinkle: ITwinkle;
    zIndex: IZIndex;
}
