import type { ICoordinates } from "../Core/Interfaces";
import { MoveDirection, MoveDirectionAlt } from "../Enums";
import { Vector } from "../Core/Particle/Vector";
import { RangeValue } from "../Types";
export declare function clamp(num: number, min: number, max: number): number;
export declare function mix(comp1: number, comp2: number, weight1: number, weight2: number): number;
export declare function randomInRange(r: RangeValue): number;
export declare function getRangeValue(value: RangeValue): number;
export declare function getRangeMin(value: RangeValue): number;
export declare function getRangeMax(value: RangeValue): number;
export declare function setRangeValue(source: RangeValue, value?: number): RangeValue;
export declare function getDistances(p1: ICoordinates, p2: ICoordinates): {
    dx: number;
    dy: number;
    distance: number;
};
export declare function getDistance(pointA: ICoordinates, pointB: ICoordinates): number;
export declare function getParticleBaseVelocity(direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt): Vector;
export declare function collisionVelocity(v1: Vector, v2: Vector, m1: number, m2: number): Vector;
export declare function deg2rad(deg: number): number;
export declare function rad2deg(rad: number): number;
